## com.crystaldecisions.sdk.occa.report.data
Class FieldKind

    java.lang.Object
      com.crystaldecisions.sdk.occa.report.data.FieldKind

public final class FieldKind
extends java.lang.Object

This class contains constants which indicate the kind of a particular field. This is not the same as the field's value type, which indicates what data type (integer or string) is used to store the field's data.

Field Summary
`static int` | `_DBField` Database field.
`static int` | `_formulaField` Formula field.
`static int` | `_groupNameField` Group name field.
`static int` | `_parameterField` Parameter field.
`static int` | `_runningTotalField` Running total field.
`static int` | `_specialField` Special field.
`static int` | `_summaryField` Summary field.
`static int` | `_unknownField` Unknown field type.
`static FieldKind` | `DBField` A `FieldKind` object that specifies a database field.
`static FieldKind` | `formulaField` A `FieldKind` object that specifies a formula field.
`static FieldKind` | `groupNameField` A `FieldKind` object that specifies a group name field.
`static FieldKind` | `parameterField` A `FieldKind` object that specifies a parameter field.
`static FieldKind` | `runningTotalField` A `FieldKind` object that specifies a running total field.
`static FieldKind` | `specialField` A `FieldKind` object that specifies a special field.
`static FieldKind` | `summaryField` A `FieldKind` object that specifies a summary field.
`static FieldKind` | `unknownField` A `FieldKind` object that specifies an unknown field type.

Method Summary
`static FieldKind` | `from_int(int i)` Returns the `FieldKind` object with the specified `int` value.
`static FieldKind` | `from_string(java.lang.String sVal)` Returns the `FieldKind` object with the specified `String` value.
`java.lang.String` | `toString()` Returns the `String` value of this `FieldKind` object.
`int` | `value()` Returns the `int` value of this `FieldKind` object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _DBField

    public static final int _DBField

  Database field.

  See Also:
    Constant Field Values

### _formulaField

    public static final int _formulaField

  Formula field.

  See Also:
    Constant Field Values

### _parameterField

    public static final int _parameterField

  Parameter field.

  See Also:
    Constant Field Values

### _specialField

    public static final int _specialField

  Special field.

  See Also:
    Constant Field Values

### _summaryField

    public static final int _summaryField

  Summary field.

  See Also:
    Constant Field Values

### _groupNameField

    public static final int _groupNameField

  Group name field.

  See Also:
    Constant Field Values

### DBField

    public static final FieldKind DBField

  A `FieldKind` object that specifies a database field.

### formulaField

    public static final FieldKind formulaField

  A `FieldKind` object that specifies a formula field.

### parameterField

    public static final FieldKind parameterField

  A `FieldKind` object that specifies a parameter field.

### specialField

    public static final FieldKind specialField

  A `FieldKind` object that specifies a special field.

### summaryField

    public static final FieldKind summaryField

  A `FieldKind` object that specifies a summary field.

### groupNameField

    public static final FieldKind groupNameField

  A `FieldKind` object that specifies a group name field.

### _runningTotalField

    public static final int _runningTotalField

  Running total field.

  See Also:
    Constant Field Values

### _unknownField

    public static final int _unknownField

  Unknown field type.

  See Also:
    Constant Field Values

### runningTotalField

    public static final FieldKind runningTotalField

  A `FieldKind` object that specifies a running total field.

### unknownField

    public static final FieldKind unknownField

  A `FieldKind` object that specifies an unknown field type.

Method Detail

### from_int

    public static final FieldKind from_int(int i)

  Returns the `FieldKind` object with the specified `int` value.

  Parameters:
    `i` - An `int` that specifies the value of the desired `FieldKind` object.
  Returns:
    The `FieldKind` object with the specified `int` value.

### toString

    public java.lang.String toString()

  Returns the `String` value of this `FieldKind` object.

  Returns:
    The `String` value of this `FieldKind` object.

### value

    public int value()

  Returns the `int` value of this `FieldKind` object.

  Returns:
    The `int` value of this `FieldKind` object.

### from_string

    public static final FieldKind from_string(java.lang.String sVal)

  Returns the `FieldKind` object with the specified `String` value.

  Parameters:
    `sVal` - A `String` that specifies the value of the desired `FieldKind` object.
  Returns:
    The `FieldKind` object with the specified `String` value.